### Name: cdensE
### Title: Component Density for a Parameterized MVN Mixture Model
### Aliases: cdensE cdensV cdensEII cdensVII cdensEEI cdensVEI cdensEVI
###   cdensVVI cdensEEE cdensEEV cdensVEV cdensVVV
### Keywords: cluster

### ** Examples


z2 <- unmap(hclass(hcVVV(faithful),2)) # initial value for 2 class case

model <- meVVV(data=faithful, z=z2)
cdensVVV(data=faithful, logarithm = TRUE, parameters = model$parameters)

z2 <- unmap(cross[,1])

model <- meEEV(data = cross[,-1], z = z2)

EEVdensities <- cdensEEV( data = cross[,-1], parameters = model$parameters)

cbind(cross[,-1],map(EEVdensities))



